Its possible put the MacOs X into a TAM??

11 replies [Last post]
Offline
Joined: Mar 2 2004
Posts: 15

I dont think that, but there are someone that dont think that.A charity person could explain me this term?

Thanks!!
PEdro

pedro.royo@able.es

Comment viewing options

Select your preferred way to display the comments and click "Save settings" to activate your changes.
g3head's picture
Offline
Joined: Dec 20 2003
Posts: 213
Possible, but not practical

ExPostFacto makes it possible to install OS X on older Macs, 10.0 and 10.1 on PPC macs that aren't using a 601 or NuBus. 10.2 and 10.3 need a G3 G4 or G5 no if ands or buts. An upgrade will do the trick just fine.

RAM would need to be maxed out and even then it may not be that useable but it will work. The XPF documents explain msot of the minor details and known bugs.

Offline
Joined: Mar 2 2004
Posts: 15
Please, I very grateteful, but...what is expofacto? Software?

Im not ver experienced in that.
Thaks a lot

Offline
Joined: Mar 2 2004
Posts: 15
thanks I just look the meaning!

Thank you very much.
Pedro

catmistake's picture
Offline
Joined: Dec 20 2003
Posts: 1098
XPostFacto

iirc I thought only Panther requires a G3 or G4 (if you had a G5, you wouldn't need XPostFaco, unless there is a new upgrade I am unaware of), and that Jag with XPostFacto will run fine on a 604e (or 603e) box... if you can get it loaded and boot it.

http://eshop.macsales.com/OSXCenter/XPostFacto/Framework.cfm?page=XPostFacto3.html

http://www.macupdate.com/info.php/id/7594

Personally speaking, if I had a TAM, I'd rather run NetBSD or Darwin... I doubt 128mb is enough to run OS X effectively.

Offline
Joined: Dec 19 2003
Posts: 566
[quote]iirc I thought only Pa

Quote:

iirc I thought only Panther requires a G3 or G4

nope ... AFAIK all versions of X need a G3 ... Jag certainly did ...

TOM

Offline
Joined: Mar 2 2004
Posts: 15
Thanks catmistakes and tomeelevens!!!!

What generous answer!!!
Thanks again .
Pedro

Macinjosh's picture
Offline
Joined: Feb 12 2004
Posts: 216
Re: OS X and non-G3/G4/G5

I can vouch that 10.1.x will run on machines that do not have G3/G4/G5 processors. I had it installed using XPostFacto on my 8600/200 which definitely had the 603x class processor.

A short snippet from the site, source of which was:
http://eshop.macsales.com/OSXCenter/XPostFacto/

"... it is possible to install Mac OS X on some earlier machines. The unsupported machines that work now are the 7300, 7500, 7600, 8500, 8600, 9500 and 9600, as well the clones that were based on one of these systems (the Umax S900 and J700, and many of the Power Computing models)."

I think Panther's where the processor became an absolute requirement; even then I believe it's still doable with a proc upgrade.

Lastly, if I totally misread, forgive me. It's late. Also, I don't know that this applies to the original question of whether it would work on a TAM. Been awhile since I've read up on them and I'm unfamiliar with their innards.

-- Macinjosh

rael9's picture
Offline
Joined: Dec 26 2003
Posts: 215
X on a TAM

10.0 and 10.1 should install with help from XPostFacto. 10.2 and 10.3 require a G3 or better. You would be able to install one of those on there if you put in some sort of G3 upgrade and then used XPostFacto to install it. I'm not sure how well it would run, though.

James M. Baker
----------
Computer Nerd
----------
[url=http://rael.webhop.org"]My site[/url]

__________________

James M. Baker
----------
Computer Nerd
----------
[url=http://rael.webhop.org"]My site[/url]

Eudimorphodon's picture
Offline
Joined: Dec 21 2003
Posts: 1203
The awnser to this question...

Is right in the XpostFacto documentation:

Twentieth-Anniversay (TAM): Unsupported. Some chance it might work once the 6500 works.

5400, 5500, 6300, 6360, 6400, 6500: Unsupported, but in progress. The main problem is that SCSI and Ethernet are not working, which makes installation difficult. Also, will not work with Mac OS X 10.2, because of 603 CPU.

So if, somehow, you could get OS X 10.0 or 10.1 onto the hard disk, it *might* work without Ethernet. (Which makes it pretty useless.) I'm also sure it'd be excruciatingly, unusably slow.

I've run every version of X since "Public Beta" on my Rev A. iMac, and I'd consider the performance completely unaccecptable on all versions prior to 10.2. (Well, 10.1.5 was marginal. That's the version where they finally added accelleration to the Rage Pro video driver.) And the Rev. A iMac is a substanially faster machine then even a G3 upgraded TAM.

--Peace

g3head's picture
Offline
Joined: Dec 20 2003
Posts: 213
It works

zone6400.com has had several reports of getting OS X to wrok on various 5x00 and 6x00 systems. Besides if someone has enough money for a TAM they can probaly get enough extras to coax OS X into running on one of those systems. IMO it would be worthless unless you have a G3 or G4 upgrade

Offline
Joined: Mar 2 2004
Posts: 15
a lot of thanks g3head!

Good web.
Pedro